Opened 5 years ago

Closed 5 years ago

#12069 closed defect (fixed)

Deprecated AM_PATH_WXRC in wxwin.m4

Reported by: wtjones Owned by:
Priority: normal Milestone:
Component: build Version: stable-latest
Keywords: wxwin.m4 AM_PATH_WXRC Cc:
Blocked By: Blocking:
Patch: yes

Description

The AM_PATH_WXRC() function present in wxWidgets 2.8.x has been renamed in wxWidgets 2.9.x however, there is no deprecated wrapper as with AM_OPTIONS_WXCONFIG() and AM_PATH_WXCONFIG(). The supplied patch file includes such a wrapper to allow the use of the same application build environment for both 2.8.x and 2.9.x.

Attachments (1)

wxwin.m4.patch download (302 bytes) - added by wtjones 5 years ago.
Patch file for wxwin.m4 to supply AM_PATH_WXRC wrapper

Download all attachments as: .zip

Change History (2)

Changed 5 years ago by wtjones

Patch file for wxwin.m4 to supply AM_PATH_WXRC wrapper

comment:1 Changed 5 years ago by VZ

  • Resolution set to fixed
  • Status changed from new to closed

(In [64334]) Add AM_PATH_WXRC to wxwin.m4 for backwards compatibility.

Although the new WXRC_CHECK is preferred, still allow using AM_PATH_WXRC for
the applications which need to build in both 2.8 and 2.9 environments.

Closes #12069.

Note: See TracTickets for help on using tickets.